Subject: bug#31109: Retroarch: source tarball has wrong hash

From: Rutger Helling <[email-masked]>
Date: Mon, 09 Apr 2018 11:29:43 +0200

Hi Ludo, 

The tarball changed. I ran a diff and couldn't find anything malicious
in the changes so I updated the checksum just now. 

On 2018-04-09 10:44, [email-masked] wrote:

> Hello,
> 
> I get:
> 
> --8<---------------cut here---------------start------------->8---
> $ guix build /gnu/store/csv3ibcqacvk1l6np1f6ch5f62gz1yw0-retroarch-1.7.1.tar.gz.drv
> The following derivation will be built:
> /gnu/store/csv3ibcqacvk1l6np1f6ch5f62gz1yw0-retroarch-1.7.1.tar.gz.drv
> @ build-started /gnu/store/csv3ibcqacvk1l6np1f6ch5f62gz1yw0-retroarch-1.7.1.tar.gz.drv - i686-linux /var/log/guix/drvs/cs//v3ibcqacvk1l6np1f6ch5f62gz1yw0-retroarch-1.7.1.tar.gz.drv.gz
> 
> Starting download of /gnu/store/pddz1nyw4rni60mqha4dp02rk4c9gv36-retroarch-1.7.1.tar.gz
> From https://github.com/libretro/RetroArch/archive/v1.7.1.tar.gz...
> following redirection to `https://codeload.github.com/libretro/RetroArch/tar.gz/v1.7.1'...
> v1.7.1.tar.gz  19.6MiB               9.6MiB/s 00:02 [##################] 100.0%
> sha256 hash mismatch for output path `/gnu/store/pddz1nyw4rni60mqha4dp02rk4c9gv36-retroarch-1.7.1.tar.gz'
> expected: 0fdribjfc5zz9brzhqcxw6m76kvyg13l67aiigszv4wsjd5j3gpz
> actual:   1wykv0w0kdlh7lh0k1ig0lpk5vh4c7r19jlfa9103jmjlryrq679
> @ build-failed /gnu/store/csv3ibcqacvk1l6np1f6ch5f62gz1yw0-retroarch-1.7.1.tar.gz.drv - 1 sha256 hash mismatch for output path `/gnu/store/pddz1nyw4rni60mqha4dp02rk4c9gv36-retroarch-1.7.1.tar.gz'
> expected: 0fdribjfc5zz9brzhqcxw6m76kvyg13l67aiigszv4wsjd5j3gpz
> actual:   1wykv0w0kdlh7lh0k1ig0lpk5vh4c7r19jlfa9103jmjlryrq679
> --8<---------------cut here---------------end--------------->8---
> 
> Looking at
> <https://hydra.gnu.org/job/gnu/master/retroarch-1.7.1.x86_64-linux>, it
> seems that this package never built on Hydra.
> 
> Rutger, could you take a look and determine if it's just a mistake or if
> the GitHub-generated tarball changed?
> 
> TIA!
> 
> Ludo'.